' Get command line arguments.
set WshArguments = WScript.Arguments

if WshArguments.Count <> 5 then
	WScript.Quit
end if

FileName = WshArguments(0)
Description = WshArguments(1)
IconFilePath = WshArguments(2)
VBScriptFilePath = WshArguments(3)
UserDirectoryPath = WshArguments(4)

if InStr(VBScriptFilePath, " ") > 0 then
	VBScriptFilePath = """" & VBScriptFilePath & """"
end if

' Delete existing shortcut file in desktop directory.
set WshShell = WScript.CreateObject("WScript.Shell")

FilePath = WshShell.SpecialFolders("Desktop") & "\" & FileName

set FileSystemObject = CreateObject("Scripting.FileSystemObject")

if FileSystemObject.FileExists(FilePath) then
	FileSystemObject.DeleteFile FilePath
end if

' Create new shortcut file in desktop directory.
set WshShortcut = WshShell.CreateShortcut(FilePath)

WshShortcut.Arguments = "//e:vbscript " & VBScriptFilePath
WshShortcut.Description = Description
WshShortcut.IconLocation = IconFilePath & ", 0"
WshShortcut.TargetPath = "wscript"
WshShortcut.WorkingDirectory = UserDirectoryPath
WshShortcut.Save